sample_data_set_line = [
	(0, [100,  0]),
	(1, [200, 0]),
	(1, [300, 0]),
	(0, [400, 0]),
]

sample_data_set_patchwork = [
	(0, [100,  0]),
	(1, [200, 0]),
	(1, [300, 0]),
	(0, [400, 0]),
	
	(1, [100,100]), 
	(0, [200,100]),
	(0, [300,100]),
	(1, [400,100]),
]


sample_data_set_positive_ball = [
	(1, [   0,    0]),
	(1, [   0,   50]),
	(1, [   0,  -50]),
	(1, [  50,    0]),
	(1, [ -50,    0]),
	(0, [ 500,  500]),
	(0, [ 500, -500]),
	(0, [-500,  500]),
	(0, [-500, -500]),
]

sample_data_set_positive_ball_with_bug = [
	(1, [   0,    0]),
	(1, [   0,   50]),
	(1, [   0,  -50]),
	(1, [  50,    0]),
	(1, [ -50,    0]),
	(0, [ 500,  500]),
	(0, [ 500, -500]),
	(0, [-500,  500]),
	(0, [-500, -500]),
	
	(0, [  10,    0]),
	(1, [ 600,  600]),
	
]


sample_data_set_square = [
	(0, [90,  90])
	,(0, [410,  110])
	,(0, [90,  410])
	,(0, [410,  410])
	,(1, [200, 200])
	,(1, [200, 300])
	,(1, [300, 200])
	,(1, [300, 300])
	,(1, [900, 900])
	,(0, [250,300])
	]
	
party_string_1 = [
	"....................",
	"....................",
	"......+.....--.-....",
	"................-...",
	"....................",
	"......-..+..+.......",
	"...........+........",
	"....................",
	"....................",
	"..-.................",
	"...-................"]
	
party_string_2 = [
	"....................",
	"....................",
	"......+.....--.-....",
	"................-...",
	"....................",
	"......-..+..+.......",
	"...........+........",
	"....................",
	"....................",
	"..-.................",
	"...-................"]
	
def strings_to_datapoints(string_array, scale=10):
	data_set = []
	y=0
	for line in string_array:
		x=0
		for char in line:
			if char=="+":
				data_set.append( (1,(x,y)) )
			elif char=="-":
				data_set.append( (0,(x,y)) )
			x+=scale
		y+=scale
	return data_set

sample_data_set_party_1 = strings_to_datapoints(party_string_1)
sample_data_set_party_2 = strings_to_datapoints(party_string_2)
